Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_Mcast_EH::Observer_Disconnect_Command Class Reference

Disconnects Observer from the Event Channel. More...

List of all members.

## Public Methods
| Observer_Disconnect_Command (void)
| Observer_Disconnect_Command (RtecEventChannelAdmin::Observer_Handle handle, RtecEventChannelAdmin::EventChannel_ptr ec)
| Observer_Disconnect_Command (const Observer_Disconnect_Command &rhs)
Observer_Disconnect_Command & | operator= (const Observer_Disconnect_Command &rhs)
void | execute (ACE_ENV_SINGLE_ARG_DECL)
## Private Attributes
RtecEventChannelAdmin::Observer_Handle | handle_
RtecEventChannelAdmin::EventChannel_var | ec_

## Detailed Description

Disconnects Observer from the Event Channel.

Utility class for use as a template argument to TAO_EC_Auto_Command. TAO_EC_Auto_Command<Observer_Disconnect_Command> manages observer connection to the Event Channel, automatically disconnecting from ec in its destructor, if necessary.

## Constructor & Destructor Documentation

ACE_INLINE TAO_ECG_Mcast_EH::Observer_Disconnect_Command::Observer_Disconnect_Command | ( | void |  | ) |

ACE_INLINE TAO_ECG_Mcast_EH::Observer_Disconnect_Command::Observer_Disconnect_Command | ( | RtecEventChannelAdmin::Observer_Handle | handle,
|  | RtecEventChannelAdmin::EventChannel_ptr | ec
| ) |

ACE_INLINE TAO_ECG_Mcast_EH::Observer_Disconnect_Command::Observer_Disconnect_Command | ( | const Observer_Disconnect_Command & | rhs | ) |

## Member Function Documentation

ACE_INLINE void TAO_ECG_Mcast_EH::Observer_Disconnect_Command::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

ACE_INLINE TAO_ECG_Mcast_EH::Observer_Disconnect_Command & TAO_ECG_Mcast_EH::Observer_Disconnect_Command::operator= | ( | const Observer_Disconnect_Command & | rhs | ) |

## Member Data Documentation

RtecEventChannelAdmin::EventChannel_var TAO_ECG_Mcast_EH::Observer_Disconnect_Command::ec_`[private]`

RtecEventChannelAdmin::Observer_Handle TAO_ECG_Mcast_EH::Observer_Disconnect_Command::handle_`[private]`

The documentation for this class was generated from the following files:

- ECG_Mcast_EH.h
- ECG_Mcast_EH.i